<template>
  <div class="canvas">
    <div v-if="selectedTypeCanvas === 0" class="container">
      <div class="canvas-select-wrap">
        <div @click="selectedTypeCanvas = 1" class="canvas-select-block sm:p-10">
          <div>Холсты</div>
          <p>Фото на холсте похоже на живописную картину и впишется в любой интерьер.</p>
          <p class="price">от 1490р</p>
          <div class="button mt-10">Выбрать</div>
        </div>
        <div @click="selectedTypeCanvas = 2" class="canvas-select-block sm:p-10">
          <div>Фотобумага</div>
          <p>Фотографии на премиальной фотобумаге высокого качества</p>
          <p class="price">от 490р</p>
          <div class="button mt-10">Выбрать</div>
        </div>
      </div>
    </div>
    <div v-else-if="selectedTypeCanvas === 1" class="container">
      <div class="text-3xl my-14 opacity-80 text-center">
        Лучший способ поднять настроение — вспомнить что-нибудь приятное.
      </div>
      <div class="px-10 sm:px-0">
        <div @click="modal=true" class="button mt-10 w-full sm:w-1/3 mx-auto mb-10">Заказать</div>
      </div>
      <div class="flex flex-col">
        <div class="flex justify-between items-center flex-wrap sm:flex-nowrap">
          <img class="sm:w-1/2 w-full mr-4 mb-10 sm:mb-0" src="../../assets/images/order/canvas_1.jpg" alt="">
          <div class="sm:w-1/2 w-full px-10">
            Холст – это украшение комнаты, с которым вы точно не прогадаете. Печать фото или портрета на холсте похоже
            на живописную картину и впишется в любой интерьер, а главное, что любимые снимки никогда не выйдут из моды.
            Как создаётся интерьерная печать на холсте?
          </div>
        </div>
        <div class="flex justify-between items-center flex-wrap sm:flex-nowrap">
          <img class="sm:w-1/2 w-full block sm:hidden my-10 sm:my-0" src="../../assets/images/order/canvas_2.jpg" alt="">
          <div class="sm:w-1/2 w-full mr-4 px-10">
            Фотоснимок печатают на прочном полотне из хлопковых нитей и
            натягивают на деревянный подрамник. Цвета фото не блекнут и остаются насыщенными при помощи современной
            технологии ультрафиолетовой печати.
            <span class="opacity-60 text-sm"><br/>Вместе с картиной в упаковку мы кладём специальный крепёж.</span>
          </div>
            <img class="sm:w-1/2 w-full hidden sm:block" src="../../assets/images/order/canvas_2.jpg" alt="">
        </div>
      </div>
    </div>
    <div v-else class="container">
      <div class="text-3xl my-14 opacity-80 text-center">
        Лучший способ поднять настроение — вспомнить что-нибудь приятное.
      </div>
      <div class="px-10 sm:px-0">
        <div @click="modal=true" class="button mt-10 w-full sm:w-1/3 mx-auto mb-10">Заказать</div>
      </div>
      <div class="flex flex-col">
        <div class="flex justify-between items-center flex-wrap sm:flex-nowrap">
          <img class="sm:w-1/2 w-full mr-4 mb-10 sm:mb-0" src="../../assets/images/order/canvas_3.jpg" alt="">
          <div class="sm:w-1/2 w-full px-10">
            Не можете найти подходящие постеры для интерьера с любимым музыкантом или актёром? Выберите его фотографию
            и напечатайте у нас! Постеры – это плакаты из гладкой мелованной бумаги, на которых вы можете напечатать
            любое изображение. Фото точно не потрескается и не потускнеет со временем.
          </div>
        </div>
        <div class="flex justify-between items-center flex-wrap sm:flex-nowrap">
          <img class="sm:w-1/2 w-full block sm:hidden my-10 sm:my-0" src="../../assets/images/order/canvas_4.jpg" alt="">
          <div class="sm:w-1/2 w-full mr-4 px-10">
            Подготовьте праздничные плакаты к вечеринке, детскому дню рождения, юбилею или просто для себя.
            Напечатать постер можно прямо не выходя из дома – просто оформите заказ на сайте и уже через 2 дня он будет готов.
          </div>
          <img class="sm:w-1/2 w-full hidden sm:block" src="../../assets/images/order/canvas_4.jpg" alt="">
        </div>
      </div>
    </div>
    <Modal v-if="modal" @close="modal=false" :is-close="false" :is-confirm="false">
      <template v-slot:body>
        <div class="text-white">
          <Form :theme="selectedTypeCanvas === 0 && 'canvas' || selectedTypeCanvas === 1 && 'canvas_paper'"/>
        </div>
      </template>
    </Modal>
  </div>
</template>

<script>
import Modal from "../../components/Modal.vue";
import {ref} from "vue";
import Form from "../../components/Form.vue";
export default {
  name: "Canvas",
  components: {Form, Modal},
  setup() {
    const modal = ref(false)
    const selectedTypeCanvas = ref(0)
    return {
      modal,
      selectedTypeCanvas,
    }
  }
}
</script>

<style lang="scss" scoped>
.canvas-select-wrap {
  margin-top: 100px;
  display: flex;
  justify-content: center;
  @media (max-width: 760px) {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-column-gap: 10px;
    grid-row-gap: 1em
  }
  @media (max-width: 680px) {
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    width: 100%;
  }
  .canvas-select-block {
    max-width: 500px;
    width: 50%;
    display: grid;
    grid-template-rows: 30px 4em 1em 40px;
    text-align: center;
    height: 250px;
    margin: 0 20px;
    border: 1px solid rgba(136, 125, 125, 0.1);
    border-radius: 5px;
    box-shadow: 0 20px 16px -16px rgba(0,0,0,0.2);
    transition: all 0.3s ease-in-out;
    cursor: pointer;
    @media (max-width: 680px) {
      width: initial;
      height: initial;
      margin-bottom: 50px;
    }
    &:hover {
      box-shadow: 0 8px 20px rgba(0,0,0,0.1), 0 28px 24px rgba(0,0,0,0.1);
    }
    div {
      font-size: 22px;
    }
    p {
      font-size: 14px;
      opacity: 0.5;
      margin-top: 20px;
    }
    p.price {
      font-size: 14px;
      opacity: 1;
    }
    .button {
      font-size: 14px;
    }
  }
}

</style>
